import { useLocalStorage } from '@vueuse/core';
import { computed } from 'vue';

export const useAccessToken = () => {
  const accessToken = useLocalStorage<string>('accessToken', null, {
    writeDefaults: false,
  });

  const authHeader = computed(() => ({
    Authorization: `Bearer ${accessToken.value}`,
  }));

  return { accessToken, authHeader };
};
